Bug 10940 - MARC21 documentation links: Change between Full and Concise manual
Summary: MARC21 documentation links: Change between Full and Concise manual
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL: http://www.loc.gov/marc/bibliographic...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 15:07 UTC by Pablo AB
Modified: 2019-10-14 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo AB 2013-09-24 15:07:48 UTC
Sometimes catalogers want Concise MARC 21 LOC manual, while cataloging on any framework, so the "?" help link point to http://www.loc.gov/marc/bibliographic/concise/bd100.html​ instead of http://www.loc.gov/marc/bibliographic/bd100.html.

To solve this, I propose a syspref to switch between Hide/Show Full manual/Show Concise manual, something like DocumentationOnMARCeditor.

I'm pretty sure http://www.loc.gov/marc/bibliographic/concise/ are all available MARC21 fields on Concise manual. PopupMARCFieldDoc JavaScript on marcdocs HTML class might be modified.

On a second step, is useful to select between languages, but AFAIK LOC doesn't give a good support or API (PDF only for Spanish or German, for eg).

Related bug: #5546 - Ability to hide MARC documentation links.
Comment 1 paxed 2018-10-19 09:45:30 UTC
Fixed by bug 11674 and bug 20785